-- MC8051 IP Core Demo Design, Entity of PLL simulation model
-- Date: 2017-02-08

library IEEE; 
use IEEE.std_logic_1164.all; 

entity prescaler is
  port (
        clk_in1  : in  std_logic; -- PLL clock input
        clk_out1 : out std_logic; -- PLL clock output (clock input divided by four)
        reset    : in  std_logic; -- PLL high-active reset input 
        locked   : out std_logic  -- "PLL locked" output
       );
end prescaler;
